hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ferdy <ferdy.gal...@kalooga.com>
Subject Re: About HDFS-630 and hbase 0.20.5
Date Thu, 01 Jul 2010 18:24:28 GMT
Yeah that is the patch I try to apply to the Hadoop 0.20.2 tag, but I 
believe it resulted in building errors.

Anyway my biggest concern is about the fact that actually Hbase itself 
does not ship with the HDFS-630 patch it recommends on the cluster in 
general.

On 07/01/2010 07:10 PM, Ted Yu wrote:
> This question was asked before.
>
> from Todd:
>
> Yes, that's a patch targeted at 0.20, but I'm not certain whether it applies
> on the vanilla 0.20 code or not. If you'd like a version of Hadoop that
> already has it applied and tested, I'd recommend using Cloudera's CDH2.
>
> Take a look at
> https://issues.apache.org/jira/secure/attachment/12430230/hdfs-630-0.20.txt
>
> On Thu, Jul 1, 2010 at 5:42 AM, Ferdy<ferdy.galema@kalooga.com>  wrote:
>
>    
>> http://hbase.apache.org/docs/r0.20.5/api/overview-summary.html#overview_description
>>
>> Here is states that it is recommended to use HDFS-630 patch for Hadoop. So,
>> why does the hbase 0.20.5 contains a stock hadoop 0.20.2 jar? (Hadoop 0.20.2
>> does not have HDFS-630 fixed).
>>
>> Secondly, what patch is the right on for Hadoop 0.20.2? There are several
>> on this page  https://issues.apache.org/jira/browse/HDFS-630
>>
>> Finally, perhaps there are other recommended patches as well?
>>
>> Thanks.
>>
>> Ferdy
>> <https://issues.apache.org/jira/browse/HDFS-630>
>>
>>      
>    

Mime
View raw message